Summary: A public domain clone of the Korn shell (ksh).
Name: pdksh
Version: 5.2.14
Release: 7mdk
Copyright: Public Domain
Group: Shells
Source: ftp.cs.mun.ca:/pub/pdksh/pdksh-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root

%description
The pdksh package contains PD-ksh, a clone of the Korn shell (ksh).
The ksh shell is a command interpreter intended for both interactive
and shell script use.  Ksh's command language is a superset of the
sh shell language.

Install the pdksh package if you want to use a version of the ksh
shell.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,usr/bin,usr/man/man1}

/usr/bin/install -s -c -m755 ksh $RPM_BUILD_ROOT/bin/ksh
/usr/bin/install -c -m644 ksh.1 $RPM_BUILD_ROOT/usr/man/man1/ksh.1
ln -sf ksh.1 $RPM_BUILD_ROOT/usr/man/man1/pdksh.1
ln -sf /bin/ksh $RPM_BUILD_ROOT/usr/bin/ksh
ln -sf /bin/ksh $RPM_BUILD_ROOT/usr/bin/pdksh


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ksh" > /etc/shells
else
	if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
		echo "/bin/ksh" >> /etc/shells
	fi
fi

%postun
if [ ! -f /bin/ksh ]; then
	grep -v /bin/ksh /etc/shells > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%verifyscript

echo -n "Looking for ksh in /etc/shells... "
if ! grep '^/bin/ksh$' /etc/shells > /dev/null; then
    echo "missing"
    echo "ksh missing from /etc/shells" >&2
else
    echo "found"
fi

%files
%defattr(-,root,root)
%doc README NOTES PROJECTS NEWS BUG-REPORTS
/bin/*
/usr/bin/*
/usr/man/*/*

%changelog
* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 5.2.14-7mdk
- new group + lceanup

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Rebuild and Repackage for oxygen (release 6)

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix wrong manpages (#216) (#135).

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 5.2.14.
- Removing unused patch.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Mar 17 1999 Jeff Johnson <jbj@redhat.com>
- glibc 2.1 doesn't init sys_siglist for 32 <= i < NSIG (#1473)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 5.2.13.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
